Update Dispute Order
Attaches order data to a dispute. You can also send order data with PATCH /disputes/{disputeId} (Enrich Dispute). Returns 403 dispute_not_active unless the dispute status is needs_response.
apiKey Your Chargeflow API key, sent on every request. Generate one in the Chargeflow App, or see API keys.
In: header
The unique Chargeflow object identifier of the dispute.
^[0-9a-fA-F]{24}$application/json
A field that can hold the name of the order as identified in your system, which could be an invoice ID or any other reference
length <= 10000The date and time when the order was created, recorded in ISO 8601 format
date-timeAn optional identifier for the checkout process associated with the order
length <= 10000An optional URL that directs to a page where the status of the order can be reviewed
uriAn enum value represents the current financial status of the order. Possible values include paid, partially_refunded, and refunded, which indicate the payment stage of the order
Value in
An object that represents the customer’s details under this order
An object that represents the billing address of the order's payer
An object that represents the shipping address of the order's payer
An array of objects that represent the products included in this order
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/public/2025-04-01/disputes/00000000d0c5000000000004/order" \ -H "Content-Type: application/json" \ -d '{ "orderReference": "Order-001", "creationDate": "2022-01-01T00:00:00Z", "checkoutId": "CHK-78910", "orderStatusUrl": "https://example.com/order/status/123456", "amount": { "value": 100, "currency": "USD" }, "financialStatus": "paid", "customer": { "id": "12345", "email": "customer@example.com", "firstName": "Jane", "lastName": "Doe", "phone": "+15555550100" }, "billingAddress": { "firstName": "John", "lastName": "Doe", "country": "US", "state": "CA", "city": "LA", "address1": "123 Main St", "address2": "Apt 123", "zipCode": "12345", "phone": "+15555550100" }, "shippingAddress": { "firstName": "John", "lastName": "Doe", "country": "US", "state": "CA", "city": "LA", "address1": "123 Main St", "address2": "Apt 123", "zipCode": "12345", "phone": "+15555550100" } }'{ "requestId": "string"}